【漏洞通告】Google V8引擎堆溢出漏洞 建议尽快更新浏览器

  • A+
所属分类:安全漏洞

漏洞名称Google V8引擎堆溢出漏洞

组件名称 : V8

威胁等级 :

影响范围 Chrome < 88.0.4324.150

Microsoft Edge < 88.0.705.63

漏洞类型 : 远程代码执行

利用条件 : 1、用户认证:不需要用户认证

2、触发方式:本地

造成后果 : Google V8引擎存在堆溢出漏洞,当受影响版本的Chrome或Microsoft Edge用户访问攻击者进行构造的恶意链接时将会触发该漏洞,可能造成拒绝服务甚至远程代码执行。

安全建议 : 请尽快更新您的Chrome或Edge浏览器,操作详见下文。

攻击场景参见【高级持续性威胁追踪】当黑客不讲武德,安全专家也容易被骗


漏洞分析


组件介绍

V8是Google使用C++编写的开源高性能JavaScript和WebAssembly引擎。它被广泛用于用于Chrome和Node.js等场景中。它实现了ECMAScript和WebAssembly功能。V8既可以在Windows 7及以上版本,macOS 10.12+和使用x64,IA-32,ARM或MIPS处理器的Linux等操作系统上运行。也可以独立运行,还可以嵌入到任何C ++应用程序中。


2 漏洞描述

2021年2月8日,深信服安全团队监测到Chrome官方发布了一则漏洞安全通告,通告披露了V8引擎存在堆溢出漏洞,漏洞编号:CVE-2021-21148。该漏洞使V8在处理js语句时由于不正确的安全检查。攻击者可利用该漏洞在未授权的情况下,构造恶意网站诱使受害者访问,从而触发堆溢出漏洞,最终可以拒绝服务甚至远程代码执行。


影响范围


目前受影响的Chrome和Microsoft Edge版本:

Chrome < 88.0.4324.150

Microsoft Edge < 88.0.705.63


解决方案

 


如何检测组件系统版本

1 Chrome 浏览器中打开 

chrome://settings/help

2 Microsoft Edge 浏览器中打开

edge://settings/help


官方修复建议

1 升级Chrome 浏览器至 88.0.4324.150 版本:

Chrome 浏览器中打开 chrome://settings/help ,检查更新,升级,重新启动浏览器即可。

2 更新 Microsoft Edge 浏览器至88.0.705.63版本:

 Microsoft Edge 浏览器中打开edge://settings/help ,检查更新,升级,重新启动浏览器即可。

或直接下载最新版本:

https://www.microsoftedgeinsider.com/en-gb/download

3 具体详情参考如下链接:

https://chromereleases.googleblog.com/2021/02/stable-channel-update-for-desktop_4.html

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-21148

【漏洞通告】Google V8引擎堆溢出漏洞 建议尽快更新浏览器
【漏洞通告】Google V8引擎堆溢出漏洞 建议尽快更新浏览器


时间轴


2021/2/4  Chrome发布安全通告。

2021/2/5  Microsoft Edge发布安全通告。

2021/2/9  深信服千里目安全实验室发布漏洞通告。



点击阅读原文,及时关注并登录深信服智安全平台,可轻松查询漏洞相关解决方案。

【漏洞通告】Google V8引擎堆溢出漏洞 建议尽快更新浏览器


深信服千里目安全实验室

【漏洞通告】Google V8引擎堆溢出漏洞 建议尽快更新浏览器

深信服科技旗下安全实验室,致力于网络安全攻防技术的研究和积累,深度洞察未知网络安全威胁,解读前沿安全技术。

● 扫码关注我们



本文始发于微信公众号(深信服千里目安全实验室):【漏洞通告】Google V8引擎堆溢出漏洞 建议尽快更新浏览器

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: